Skip to main content
GET
https://api.grainledger.com
/
api
/
v1
/
bills
List bills
curl --request GET \
  --url https://api.grainledger.com/api/v1/bills \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.grainledger.com/api/v1/bills', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.grainledger.com/api/v1/bills"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "bills": [
    {
      "id": "cm222bbb333ccc",
      "billNumber": "INV-1042",
      "billDate": "2026-06-15T00:00:00.000Z",
      "dueDate": "2026-07-15T00:00:00.000Z",
      "amount": 850,
      "status": "PENDING"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 12,
    "totalPages": 1
  }
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Organization-Id
string
required

Organization ID for multi-tenant data access

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Records per page

Required range: 1 <= x <= 1000
statusGroup
enum<string>
Available options:
open,
dueSoon,
overdue
sortBy
enum<string>
default:dueDate
Available options:
dueDate,
amount,
billNumber,
billDate,
vendorName,
fundName,
status,
createdAt
sortOrder
enum<string>
default:asc
Available options:
asc,
desc

Response

Paginated bills

bills
object[]
pagination
object
Last modified on July 8, 2026